Summary:	Nagios Notify Script
Summary(pl.UTF-8):	Skrypt powiadamiający dla Nagiosa
Name:		nagios-notify
Version:	0.16.1
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://github.com/glensc/nagios-notify/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	d010b82b0038c6496bfbd46413561d9a
URL:		https://github.com/glensc/nagios-notify
Requires:	nagios-common
Requires:	python3
Requires:	python3-jinja2
Requires:	python3-modules
# notify via emails
Suggests:	/usr/lib/sendmail
# notify via jabber
Suggests:	nagios-alert-jabber
# notify to eggdrop bot (irc)
Suggests:	t0xirc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_sbindir	/usr/lib/nagios

%description
nagios-notify is template based notify script for Nagios.

You should use this script because:
- the templates are easily edited in text editor
- you won't be worried about if the command definition contains shell
  syntax errors (which Nagios happily discards without any trace in logs
  :/)
- you can change templates without restarting Nagios
- with advanced templates you can send richtext (even images!) over
  jabber if you use nagios-notify-jabber
- minimal dependency (just coreutils and awk that you most likely
  already have installed)

%description -l pl.UTF-8
nagios-notify to oparty na szablonach skrypt powiadamiający dla
Nagiosa.

Powody, dla których dobrze jest używać tego skryptu:
- szablony można łatwo modyfikować w edytorze tekstu,
- nie trzeba się zbytnio martwić jeśli definicje poleceń zawierają
  błędy składni powłoki (które Nagios ucina bez żadnego śladu w logach)
- można zmieniać szablony bez restartu Nagiosa
- przy użyciu zaawansowanych szablonów można wysyłać tekst wzbogacony
  (nawet z obrazkami) przez jabbera w przypadku używania pakietu
  nagios-notify-jabber
- minimalne zależności (tylko coreutils i awk, które zwykle i tak są
  zainstalowane)

%prep
%setup -q
%{__sed} -i -e '1s,^#!.*python3,#!%{__python3},' %{name}.py

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{_sysconfdir}/templates
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/templates/*.tmpl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugins/%{name}.cfg
%attr(755,root,root) %{_sbindir}/nagios-notify
%changelog
* Mon Jan 09 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-notify.git;a=log;h=master

* Mon Jan 09 2023 Elan Ruusamäe <glen@pld-linux.org> 0ce01af
- Up to 0.16.1

* Mon Jan 09 2023 Elan Ruusamäe <glen@pld-linux.org> a9ce78e
- Requires python3-jinja2 for templating

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 3da02e8
- Up to 0.16.0, Switched to jinja2 template engine (Python)

* Sat Aug 14 2021 Elan Ruusamäe <glen@pld-linux.org> 39713a2
- Update to 0.15.0; Project moved to GitHub

* Sat Aug 14 2021 Elan Ruusamäe <glen@pld-linux.org> 230c4d7
- Drop old migration triggers from 0.10 and 0.12-0.7

* Tue May 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> b14b62f
- All these macros seem to be off by one producing '' instead of just 'XYZ'.

* Tue May 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> c4f82a3
- rel 4; more information about service/host downtime

* Wed Feb 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f84f47a
- rel 3; mail duration info

* Wed Feb 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c6f91e8
- rel 2; add Auto-Submitted: auto-generated header

* Fri Dec 14 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> c0301ee
- Version: 0.14

* Wed Mar 10 2010 Elan Ruusamäe <glen@pld-linux.org> e6936a9
- sendmail is optional; rel 3

* Wed Sep 09 2009 Elan Ruusamäe <glen@pld-linux.org> 850dbcf
- sendmail dep; suggests; rel 2

* Tue Jul 28 2009 Elan Ruusamäe <glen@pld-linux.org> 5c6bd31
- Version 0.13: Nagios 3.1 compat.

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b0c894
- drop obsolete files

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> eb8330a
- package ChangeLog

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> e945e4c
- fix md5

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> 7c82f45
- sample commands for upgrade

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> b8ffe2b
- update to 0.12
- NOTE: templates have been renamed (trigger handles smooth upgrade)

* Sat Oct 11 2008 Elan Ruusamäe <glen@pld-linux.org> 1f13425
- 0.11: added $(encode_mime_header:CHARSET,DATA) handler

* Fri Jul 11 2008 Elan Ruusamäe <glen@pld-linux.org> e5fc242
- reload nagios if it's plugin configuration was changed; rel 3

